#### `xflutter_cli` is a command line tool helps you to generates and/or modifies your Flutter Components.

### Install:
activate dart cli to run it globally:

`dart pub global activate xflutter_cli`

### Notes:
- make sure your Flutter version is up to 3.0.0.

### Usage: `xflutter_cli <command>`

Available commands:

- generate: Generates and/or modifies files based on a schematic.
- init: Initialize your project with necessary packages and reusable files.
- help: browse all avialable commands, options and flags.

### generate options:

- (screen): generate screen with state management.

- (localization): initialize (easy_localization) package in your app.

- (form): generate form inside your screen widgets with inputs such as (email, password) with state management.

- (model): generate @freezed models from json file.

### generate flags:

- (responsive): used with (generate screen), give you the ability to wrap tablet and mobile layouts in your screen (tablet screen will not generated).

- (tablet): used with (generate screen), give you the ability to wrap tablet and mobile layouts in your screen (generate mobile and tablet screens).

- (singleton): used with (generate screen), state management to manage variables between screen and children widgets.

- (theme): used with (generate screen), initialize your global app theme.

- (router): used with (generate screen), give you ability to manage navigation between screens, initialize (auto_route) package and wrap the generated screen in app routes.

## [Github exapmle](https://github.com/aghiadodeh/xflutter_cli_example)