import 'dart:async';
import 'package:xflutter_cli/src/commands/i_options.dart';
import 'package:xflutter_cli/src/structure/config/http_overrides.dart';
import 'package:xflutter_cli/src/structure/config/ui_main.dart';
import 'package:xflutter_cli/src/structure/creators/i_flag_creator.dart';
import 'package:xflutter_cli/src/structure/creators/i_option_creator.dart';
import '../i_command.dart';
import '../i_flags.dart';

class InitCommand implements ICommand {
  @override
  Future<void> execute() async {
    await IFlagCreator().create([
      CliFlags.theme,
      CliFlags.singleton,
      CliFlags.responsive,
    ]);
    await initializeMainHttpOverrides();
    await initializeMainConfig();
    return await IOptionCreator().create([
      CliOptions.localization,
      CliOptions.reusable,
      CliOptions.model,
    ], []);
  }
}
