import 'dart:io';

const newLine = "\n      ";

extension ColorUtils on String {
  String asColor() {
    String hex = this.replaceAll("#", "");
    return hex;
  }

  double asDouble() {
    try {
      return double.parse(this);
    } catch (_) {
      return 0;
    }
  }
}

extension StringUtils on String {
  /// replace or find, when [replace] is null this method on return value between tow words.
  String replaceBetweenTwoWords({required String begin, required String end, dynamic replace, bool lastIndex = false}) {
    String string = this;
    final startIndex = indexOf(begin);
    final sp = split(end);
    int endIndex = lastIndex ? lastIndexOf(end) : 0;
    if (!lastIndex) {
      for (var i = 0; i < sp.length; i++) {
        endIndex = "${sp[i]}$end".indexOf(end) + endIndex + end.length;
        if (endIndex > startIndex) break;
      }
    }
    String result = begin + substring(startIndex + begin.length, endIndex);
    if (replace != null) {
      string = replaceAll(result, replace);
    }
    return replace != null ? string : result;
  }

  File asFile() => File(this);

  String appendIfNotContains(String string) {
    String append = this;
    if (!append.contains(string)) append = "$append$string";
    return append;
  }
}

extension boolUtils on bool? {
  bool isTrue() => this == true;
  bool isFalse() => this == false;
}

extension ListUtils<T> on List<T> {
  void addIfNotExists(T item) {
    if (!contains(item)) add(item);
  }
}
