extension ObjectExt<T> on T {
  /// equivalent to Kotlin's val?.let { it -> someLogic }
  ///
  /// usage:
  ///
  /// int? x = null; x?.let((it) => someLogic)
  R let<R>(R Function(T it) op) => op(this);
}

extension StringUtlis on String? {
  String defaultValue(String value) {
    String val = value;
    if (this?.isNotEmpty == true && this != null) {
      val = "$this";
    }
    return val;
  }
}
