class FlagStructure {
  final List<FileStructure> files;
  final List<String> packages;
  final List<String> devPackages;
  final String? message;
  final Future<void> Function()? config;

  const FlagStructure({
    required this.files,
    this.packages = const [],
    this.devPackages = const [],
    this.message,
    this.config,
  });
}

class FileStructure {
  final String path;
  final String name;
  final String extension;
  final String Function()? content;
  final List<String> packages;
  final bool Function()? condition;

  const FileStructure({
    required this.path,
    required this.name,
    this.extension = "dart",
    this.content,
    this.packages = const [],
    this.condition,
  });
}
