import 'dart:convert';
import 'dart:io';

import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/extensions/directory_extensions.dart';
import 'package:xflutter_cli/src/extensions/dynamic_extensions.dart';
import 'package:xflutter_cli/src/extensions/file_extension.dart';
import 'package:xflutter_cli/src/structure/structure_paths.dart';

Future<void> initCrud() async {
  final modelsFile = "${modelsDir}/data_models.dart".asFile();
  if (modelsFile.existsSync()) {
    final content = await readFileAsString(modelsFile.path);
    final models = content.split("\n").map((e) => e.split("export ").last.split(";").first.replaceAll("'", "").replaceAll('"', "")).toList();
    if (models.isEmpty) {
      messageAndExit(message: "no data models found!");
    }
    stdout.writeAll(models, "\n");
    final s = stdin.drain().whenComplete(() => print("complete"));
    exit(0);
  } else {
    messageAndExit(message: "lib/models/data_models.dart not found!");
  }
}
