import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/extensions/file_extension.dart';
import 'package:xflutter_cli/src/models/flag_structure.dart';
import 'package:xflutter_cli/src/structure/structure_paths.dart';

Future<void> initializeMainHttpOverrides() async {
  const httpConfig = "HttpOverrides.global = AppHttpOverrides();";

  await createFile(
    FileStructure(
      path: "${configDir}",
      name: "http_overrides",
      content: httpOverrides,
    ),
  );

  String main = await readFileAsString("lib/main.dart");

  if (!main.contains("config/http_overrides.dart")) {
    main = "import 'config/http_overrides.dart';\n$main";
  }

  if (!main.contains("dart:io")) {
    main = "import 'dart:io';\n$main";
  }
  if (!main.contains(httpConfig)) {
    main = main.replaceAll("void main() {", "void main() async {");
    main = main.replaceAll("void main() async {", "void main() async {\n  $httpConfig");
  }

  await writeFileAsString("lib/main.dart", main);
}

String httpOverrides() => """
$widgetTitle
import 'dart:io';

/// fix network issue on Android 7.0
class AppHttpOverrides extends HttpOverrides {
  @override
  HttpClient createHttpClient(SecurityContext? context) {
    return super.createHttpClient(context)..badCertificateCallback = (X509Certificate cert, String host, int port) => true;
  }
}
""";
