import 'dart:io';
import 'package:xflutter_cli/src/commands/i_flags.dart';
import 'package:xflutter_cli/src/extensions/file_extension.dart';
import 'i_creator.dart';

class IFlagCreator {
  /// create files and directories by entered cli command flags
  Future<void> create(List<CliFlags> flags) async {
    for (var i = 0; i < flags.length; i++) {
      final flagStructure = flagStructures[flags[i]];
      if (flagStructure != null) {
        // add required https://pub.dev packages
        await addPackages(flagStructure.packages);
        await addPackages(flagStructure.devPackages, dev: true);
        for (var j = 0; j < flagStructure.files.length; j++) {
          // create files and directories
          final file = flagStructure.files[j];
          await createFile(file);
        }

        // config some logic after generate files
        await flagStructure.config?.call();

        if (flagStructure.message != null) {
          stdout.writeln(flagStructure.message);
        }
      }
    }
  }
}
