import 'dart:io';
import 'package:xflutter_cli/src/commands/i_flags.dart';
import 'package:xflutter_cli/src/commands/i_options.dart';
import 'package:xflutter_cli/src/extensions/file_extension.dart';

import 'i_creator.dart';

class IOptionCreator {
  /// create files and directories by entered cli command option
  Future<void> create(List<CliOptions> options, List<CliFlags> flags) async {
    for (var i = 0; i < options.length; i++) {
      final structures = await optionStructures();
      final optionStructure = structures[options[i]];
      if (optionStructure != null) {
        // add required https://pub.dev packages
        await addPackages(optionStructure.packages);
        await addPackages(optionStructure.devPackages, dev: true);
        for (var j = 0; j < optionStructure.files.length; j++) {
          // create files and directories
          final file = optionStructure.files[j];
          await createFile(file);
        }

        // config some logic after generate files
        await optionStructure.config?.call();

        if (optionStructure.message != null) {
          stdout.writeln(optionStructure.message);
        }
      }
    }
  }
}
