import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/structure/packages.dart';

String singletonConfig() => """
$widgetTitle
import ${getItPackage};

/// create a global class instance
void registerSingleton<T extends Object>(T instance) {
  try {
    GetIt.I.registerSingleton<T>(instance);
  } catch (_) {
    /// avoid register more than one time.
  }
}

/// get the global instance
T getSingleton<T extends Object>() {
  return GetIt.I.get<T>();
}

/// remove global instance
Future<void> unregisterSingleton<T extends Object>() async {
  await GetIt.I.unregister<T>();
}
""";
