import 'package:xflutter_cli/src/commands/i_terminal.dart';

String uiConfig() => """
$widgetTitle
import 'package:flutter/material.dart';
import 'package:flutter/scheduler.dart';
import 'package:flutter/services.dart';

void uiConfig() {
  _setupOrientation();
}

void _setupOrientation() {
  const tabletOrientation = [DeviceOrientation.landscapeRight, DeviceOrientation.landscapeLeft];
  const mobileOrientation = [DeviceOrientation.portraitUp, DeviceOrientation.portraitDown];
  SystemChrome.setPreferredOrientations(isTablet() ? tabletOrientation : mobileOrientation);
}

bool isTablet() {
  final data = MediaQueryData.fromWindow(WidgetsBinding.instance.window);
  return data.size.shortestSide > 600;
}

Size screenSize(BuildContext context) {
  return MediaQuery.of(context).size;
}

void hideStatusBar() {
  SystemChrome.setEnabledSystemUIMode(SystemUiMode.manual, overlays: [SystemUiOverlay.bottom]);
}

void showStatusBar() {
  SystemChrome.setEnabledSystemUIMode(SystemUiMode.manual, overlays: SystemUiOverlay.values);
}

void hideSoftKeyboard(BuildContext context) {
  FocusScope.of(context).requestFocus(FocusNode());
}

/// watching the end of the construction to call context
/// calling Dialogs, MaterialPageRoute
addPostFrameCallback(Function() callback) {
  SchedulerBinding.instance.addPostFrameCallback((_) {
    try {
      callback.call();
    } catch (_) {}
  });
}
""";
