import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/structure/packages.dart';

class DesignColors {
  final String primaryColor;
  final String secondaryColor;
  final String secondaryBackgroundColor;
  final String textColor;

  const DesignColors({
    required this.primaryColor,
    required this.secondaryBackgroundColor,
    required this.secondaryColor,
    required this.textColor,
  });

  @override
  String toString() {
    return "primaryColor: #$primaryColor\nsecondaryBackgroundColor: #$secondaryBackgroundColor\nsecondaryColor: #$secondaryColor\ntextColor: #$textColor";
  }
}

String designColors(DesignColors colors) {
  return """
$widgetTitle
import ${materialPackage};

class DesignColors {
  static const Color primaryColor = Color(0xFF${colors.primaryColor});
  static const Color secondaryColor = Color(0xFF${colors.secondaryColor});
  static const Color errorColor = Colors.red;
  static const Color secondaryBackgroundColor = Color(0xFF${colors.secondaryBackgroundColor});
  static const Color grey = Color(0xFFB4B9C5);
  static const Color textColor = Color(0xFF${colors.textColor});
}
""";
}

String darkDesignColors(DesignColors colors) {
  return """
$widgetTitle
import ${materialPackage};

class DesignColorsDark {
  static const Color primaryColor = Color(0xFF${colors.primaryColor});
  static const Color secondaryColor = Color(0xFF${colors.secondaryColor});
  static const Color secondaryBackgroundColor = Color(0xFF${colors.secondaryBackgroundColor});
  static const Color textColor = Color(0xFF${colors.textColor});
}
""";
}
