import 'package:xflutter_cli/src/commands/i_terminal.dart';

class Dimens {
  final double buttonCornerRadius;
  final double textFormFieldRadius;
  final double bottomSheetRadius;

  const Dimens({
    required this.buttonCornerRadius,
    required this.textFormFieldRadius,
    required this.bottomSheetRadius,
  });

  @override
  String toString() {
    return "buttonCornerRadius: $buttonCornerRadius\ntextFormFieldRadius: $textFormFieldRadius\nbottomSheetRadius: $bottomSheetRadius";
  }
}

String designDimens(Dimens dimens) {
  return """
$widgetTitle

///  Default screen margins, per the Android Design guidelines.
const double halfUnit = 4;
const double unit = 8;
const double unitAndHalf = 12;
const double towUnits = 16;
const double threeUnits = 24;
const double fourUnits = 32;

/// Default text sizes
const double verySmallText = 12;
const double smallText = 14;
const double normalText = 16;
const double mediumText = 18;
const double largeText = 24;
const double veryLargeText = 32;

/// customized dimens
const double buttonCorner = ${dimens.buttonCornerRadius};
const double buttonPadding = 16.0;
const double textFormFieldRadius = ${dimens.textFormFieldRadius};
const double bottomSheetRadius = ${dimens.bottomSheetRadius};
const double formSpacing = 12.0;
""";
}
