import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/structure/packages.dart';

String storageConfig() {
  return """
$widgetTitle
import ${getItPackage};
import ${materialPackage};
import 'package:shared_preferences/shared_preferences.dart';

class AppStorage {
  static SharedPreferences getPreferences() => GetIt.I.get<SharedPreferences>();

  /// config [SharedPreferences] as a global instance.
  /// 
  /// call this method in `main.dart` before `runApp()`.
  static Future<void> storageConfig() async {
    try {
      GetIt.I.registerSingleton<SharedPreferences>((await SharedPreferences.getInstance()));
    } catch (_) {}
  }

  /// save in [SharedPreferences] the applied themeMode in app (light/dark)
  static Future<void> setDarkTheme(bool darkTheme) async {
    await getPreferences().setBool('dark_theme', darkTheme);
  }

  /// detect which [ThemeMode] applied in app [ThemeMode.dark] or [ThemeMode.light].
  static ThemeMode themeMode() {
    bool? darkMode = getPreferences().getBool('dark_theme');
    var mode = ThemeMode.light;
    if (darkMode == true) mode = ThemeMode.dark;
    return mode;
  } 
}
""";
}
