import 'package:xflutter_cli/src/commands/i_terminal.dart';
import 'package:xflutter_cli/src/structure/packages.dart';

String viewModelParams({required String className}) {
  return """
$widgetTitle
///
/// declare and manage viewModel-liveData variables.
/// 
/// see: https://pub.dev/packages/flutterx_live_data
/// 
/// more details: https://medium.com/@aghiadodeh/flutter-live-data-tutorial-4c65f1b7ff5e
import ${materialPackage};
import ${liveDataPackage};
import 'package:${packageName}/models/ui_models/ui_message.dart';

class ${className}Params {
  /// in progress
  final MutableLiveData<bool> loading = MutableLiveData(initialValue: false);

  /// UI [SnackBar] message
  final MutableLiveData<UiMessage> uiMessage = MutableLiveData(initialValue: UiMessage());
}
""";
}

String viewModel({required String className, required String rootPath}) {
  return """
$widgetTitle
/// 
/// state managment for UI
/// 
/// store and manage your liveData in [${className}Params].
import "${rootPath}_params.dart";
import 'package:lazy_evaluation/lazy_evaluation.dart';

class ${className}ViewModel { 
  final _params = Lazy(() => ${className}Params());
  ${className}Params get params => _params.value;
}
""";
}
